Deep Security Manager REST API

Path: / rest / cloudaccounts / {cloudAccountId} / synchronize

Synchronize a cloud account by ID.

Path parameters:
cloudAccountId - Identifier uniquely identifying the cloud account to synchronize.

Method Summary
ResourceDescription
PUT /rest/cloudaccounts/{cloudAccountId}/synchronize?sID=…Synchronize a cloud account by ID.

Method Detail
HTTP Example:
PUT /rest/cloudaccounts/{cloudAccountId}/synchronize?sID=…

API Example:

ICloudAccountAPI.synchronizeCloudAccount({'sID': /* sID session ID. */,
  'cloudAccountId': /* cloudAccountId Identifier uniquely identifying the cloud account to synchronize. */});

Synchronize a cloud account by ID.

Output:
SynchronizeCloudAccountResponse - A response with status 200 OK and a body containing response information when synchronization was successful. If the id is null or empty, it will return a response with status 400 Bad Request and a body containing an ErrorMessage.
Query parameters:
sID - session ID.
Produces:
application/xml
application/json

Copyright © 2015 Trend Micro Inc. All Rights Reserved.